package com.dev.swms.server.model.abstractEntity;
import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.abstractEntity.BomList;

public class ModelPlan extends Entity{


	private PlanAssembly planAssembly;//计划
	private  BigItem bigItem;//完成品品番
	private String numberNo;//No
//	private String   procedure;//工位
//	private Date   OfflineDate;//下线日期
	private Date   planDate;//计划日期
	private Date   modifyDate;//调整计划
	private String code;//IDNO
	private String name;//月度连番
	private String country;//国别
	private String  modelType;//型式品番
	private String  modelNo;//机号
	private String  modelName;//型式品名
	private BomList bomList;//机型
	private String description;//备注
	private String strExtend1;//是否下线
	private String strExtend2;
	private String strExtend3;
    private String longExtend1;//序号
	

	
	public String getLongExtend1() {
		return longExtend1;
	}
	public void setLongExtend1(String longExtend1) {
		this.longExtend1 = longExtend1;
	}
	
	public BigItem getBigItem() {
		return bigItem;
	}
	public void setBigItem(BigItem bigItem) {
		this.bigItem = bigItem;
	}
	public PlanAssembly getPlanAssembly() {
		return planAssembly;
	}
	public void setPlanAssembly(PlanAssembly planAssembly) {
		this.planAssembly = planAssembly;
	}
	public String getNumberNo() {
		return numberNo;
	}
	public void setNumberNo(String numberNo) {
		this.numberNo = numberNo;
	}
	public Date getPlanDate() {
		return planDate;
	}
	public void setPlanDate(Date planDate) {
		this.planDate = planDate;
	}
	public Date getModifyDate() {
		return modifyDate;
	}
	public void setModifyDate(Date modifyDate) {
		this.modifyDate = modifyDate;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getModelType() {
		return modelType;
	}
	public void setModelType(String modelType) {
		this.modelType = modelType;
	}
	public String getModelNo() {
		return modelNo;
	}
	public void setModelNo(String modelNo) {
		this.modelNo = modelNo;
	}
	public String getModelName() {
		return modelName;
	}
	public void setModelName(String modelName) {
		this.modelName = modelName;
	}
	public BomList getBomList() {
		return bomList;
	}
	public void setBomList(BomList bomList) {
		this.bomList = bomList;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStrExtend1() {
		return strExtend1;
	}
	public void setStrExtend1(String strExtend1) {
		this.strExtend1 = strExtend1;
	}
	public String getStrExtend2() {
		return strExtend2;
	}
	public void setStrExtend2(String strExtend2) {
		this.strExtend2 = strExtend2;
	}
	public String getStrExtend3() {
		return strExtend3;
	}
	public void setStrExtend3(String strExtend3) {
		this.strExtend3 = strExtend3;
	}
	
	
	
}
